Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.xml.dtsm
Class PullProcessor

    java.lang.Object
      com.dbxml.xml.dtsm.PullProcessor

public final class PullProcessor
extends java.lang.Object

PullProcessor is a simple pull processor for DocumentTable streams. It can be constructed to either traverse an entire stream or a stream fragment if constructed with an initial index.

Constructor Summary
`PullProcessor(DocumentTable table)`
`PullProcessor(DocumentTable table, int idx)`

Method Summary
`int` | `getPos()` getPos returns the DocumentTable position of the most recently pulled DocumentTableEntry.
`boolean` | `hasNext()` hasNext returns whether or not there are any more DocumentTableEntry objects available in the PullProcessor.
`DocumentTableEntry` | `next()` next returns the next DocumentTableEntry in the PullProcessor, or it returns null if no more entries are available.
`DocumentTableEntry` | `peek()` peek retrieves the next DocumentTableEntry without actually incrementing the PullProcessor's position.
`void` | `pushBack()` pushBack pushes the most recently retrieved DocumentTableEntry back into the PullProcessor.
`void` | `reset()` reset will reset the PullProcessor position to its original location.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PullProcessor

    public PullProcessor(DocumentTable table)

### PullProcessor

    public PullProcessor(DocumentTable table,
                         int idx)

Method Detail

### next

    public DocumentTableEntry next()

  next returns the next DocumentTableEntry in the PullProcessor, or it returns null if no more entries are available.

  Returns:
    The next DocumentTableEntry

### getPos

    public int getPos()

  getPos returns the DocumentTable position of the most recently pulled DocumentTableEntry. The initial result of this method is -1 (no entries have been returned).

  Returns:
    The DocumentTable position

### peek

    public DocumentTableEntry peek()

  peek retrieves the next DocumentTableEntry without actually incrementing the PullProcessor's position.

  Returns:
    The DocumentTableEntry

### hasNext

    public boolean hasNext()

  hasNext returns whether or not there are any more DocumentTableEntry objects available in the PullProcessor.

  Returns:
    True if more can be pulled

### reset

    public void reset()

  reset will reset the PullProcessor position to its original location.

### pushBack

    public void pushBack()

  pushBack pushes the most recently retrieved DocumentTableEntry back into the PullProcessor. After this operation, the next DocumentTableEntry retrieved will be the most recent one pushed back onto the stack.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group